package schedframe.resources.computing.profiles.energy.airthroughput.ui;

import java.util.List;

import schedframe.Parameters;
import schedframe.resources.computing.profiles.energy.airthroughput.AirflowValue;
import schedframe.resources.computing.profiles.energy.airthroughput.AirflowState;
import schedframe.resources.computing.profiles.energy.airthroughput.AirflowStateName;

public interface AirflowInterface {
	
	public AirflowStateName getAirflowState();
	
	public boolean setAirflowState(AirflowStateName airflowState);
	
	public boolean supportAirflowState(AirflowStateName powerState);
	
	public List<AirflowState> getSupportedAirflowStates();
	
	public double getAirflow(AirflowStateName state) throws NoSuchFieldException;
	
	public double getPowerConsumption(AirflowStateName state) throws NoSuchFieldException;
	
	public AirflowValue getRecentAirflow();
	
	public List<AirflowValue> getAirflowHistory();
	
	public Parameters getParameters();
	
	
}
